#
# spec file for package qt-japanese (Version 2.3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gpp gppshare libgpp libjpeg liblcms libmng libmng-devel libpng libz mesa mesa-devel mesasoft xf86 xf86glu xf86glu-devel xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared yacc

Name:         qt-japanese
Obsoletes:    qtlib2,qt,qt-experimental,qt-korean
Provides:     qtlib2,qt,qt-experimental
Copyright:    GPL/QPL
Group:        Development/Libraries/X11
Autoreqprov:  on
Summary:      qt with japanese extensions
Version:      2.3.1
Release:      78
Source0:      qt-x11-%{version}.tar.bz2
Source10:     qt.fontguess.sample
NoSource:     0
Patch0:       qt-x11-%{version}.dif
Patch1:       qt-x11-%{version}.RPM_OPT_FLAGS.dif
Patch2:       trolltech-workaround.dif
Patch3:       latin9-locale.dif
Patch10:      qt-%{version}-xim-20010309.diff
Patch11:      qt-%{version}-qclipboard-20010309.diff
BuildRoot:    /var/tmp/%{name}-%{version}-root

%description
This QT version contains extension for japanese input.

Authors:
--------
    Troll Tech AS, Norway

SuSE series: j

%prep
%setup -n qt-%{version}
%patch
%patch1
%patch3
#enable KDE extension for uic, without linking against KDE libs
#hope for a better build enviroment for QT ...
%patch2
#
# Japanese stuff
#
%patch10 -p0
%patch11 -p0

%build
export QTDIR=`pwd`
PLATFORM=linux-g++
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
[ "$VERSION" -lt 702 ] && OPENGL="-no-opengl" || OPENGL=""
[ "$VERSION" -lt 701 ] && XFT="-no-xft" || XFT="-xft"
[ -e /usr/lib/libmng.so ] && LIBMNG="-system-libmng" || LIBMNG=""
%ifarch ia64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
%endif
export _RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
echo yes|./configure -platform $PLATFORM -shared -gif -thread \
	    -system-zlib -system-jpeg -system-libpng $OPENGL $XFT $LIBMNG -sm \
	    -no-g++-exceptions 
make
#
# compile extensions
#
echo "Compiling extensions..."
for i in xt
do
  echo -n "Compiling $i... "
  pushd extensions/$i/src
  make
  popd
  echo done
done
#
# Compiles extension examples
#
#for makefile in $(find extensions/opengl extensions/xt -name "Makefile" | grep examples) ; do
#  make -C ${makefile%/Makefile}
#done
#
# Clean up tutorial and extensions
#
rm -f $(find tutorial extensions -name "*.o" -o -name "Makefile.in")

%install
set +e
VER=${RPM_PACKAGE_VERSION}
LIBDIR=${RPM_BUILD_ROOT}/usr/lib/qt-%{version}
BINDIR=${RPM_BUILD_ROOT}/usr/bin/
MANDIR=${RPM_BUILD_ROOT}/%{_mandir}/
QTDIR=${LIBDIR}
install -d -m 755 $QTDIR 
#
# Install READMEs and other meta-documentation
#
install -d -m 755 ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt/doc
install -m 644 ANNOUNCE FAQ INSTALL LICENSE.QPL LICENSE.GPL MANIFEST PORTING README  \
               README.QT SuSE/README.SuSE PLATFORMS changes-*            \
        ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt/doc
#
# Install raw stuff 1:1
#
for dir in tutorial lib bin examples ; do
  tar cf - $dir | tar xf - -C $QTDIR
done
#
# Clean up examples.
#
rm -f $(find $QTDIR/examples -name "Makefile.in" -o -name "*.o")
rm -f $QTDIR/Makefile.in
#
# Install include files
#
install -d -m 755 $QTDIR/include
install -m 644 $(find extensions src/canvas src/compat src/dialogs src/iconview src/kernel src/network src/opengl src/table src/workspace src/xml src/widgets src/tools -name "*.h") $QTDIR/include
#
# create links in ld.so.conf path
#
ln -sf qt-%{version}             ${RPM_BUILD_ROOT}/usr/lib/qt2
ln -s  qt2/lib/libqt.so.2        ${RPM_BUILD_ROOT}/usr/lib/libqt.so.2
ln -s  qt2/lib/libqt-mt.so.2     ${RPM_BUILD_ROOT}/usr/lib/libqt-mt.so.2
ln -s  qt2/lib/libqutil.so.1     ${RPM_BUILD_ROOT}/usr/lib/libqutil.so.1
#
# Install special Japanese/Korean config file
#
mkdir -p ${RPM_BUILD_ROOT}/etc/
install -m 0644 ../../SOURCES/qt.fontguess.sample ${RPM_BUILD_ROOT}/etc/qt.fontguess

%files
%dir /usr/lib/qt-%{version}
%dir /usr/lib/qt-%{version}/lib
%dir /usr/lib/qt2
%dir /%{_defaultdocdir}/qt
%dir /%{_defaultdocdir}/qt/doc
/%{_defaultdocdir}/qt/doc/ANNOUNCE
/%{_defaultdocdir}/qt/doc/FAQ
/%{_defaultdocdir}/qt/doc/INSTALL
/%{_defaultdocdir}/qt/doc/LICENSE.*
/%{_defaultdocdir}/qt/doc/MANIFEST
/%{_defaultdocdir}/qt/doc/PLATFORMS
/%{_defaultdocdir}/qt/doc/PORTING
/%{_defaultdocdir}/qt/doc/README*
/%{_defaultdocdir}/qt/doc/changes-*
/usr/lib/qt-%{version}/lib/libqt.so*
/usr/lib/qt-%{version}/lib/libqt-mt.so*
/usr/lib/qt-%{version}/lib/libqutil.so*
/usr/lib/libqt.so.2
/usr/lib/libqt-mt.so.2
/usr/lib/libqutil.so.1
%config(noreplace) /etc/qt.fontguess

%changelog -n qt-designer
* Fri Aug 10 2001 - adrian@suse.de
- fix #neededforbuild for KDE 2.2
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
* Sun Jun 17 2001 - adrian@suse.de
- update to QT 2.3.1
- merge patches
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun Jun 17 2001 - adrian@suse.de
- update to QT 2.3.1
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
- fix missing parameter for pre-2.3.1 patch
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
* Mon Apr 23 2001 - adrian@suse.de
* Wed Mar 21 2001 - adrian@suse.de
- disable AA again
* Mon Mar 19 2001 - adrian@suse.de
- fix file list
* Mon Mar 19 2001 - mfabian@suse.de
- update Japanese patches for Qt-2.3.0
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sun Mar 18 2001 - adrian@suse.de
- update to 2.3.0
  (this package is only needed for < SuSE 7.2 )
- update to 2.3.0
  (this package is only needed for < SuSE 7.2 )
* Sun Mar 18 2001 - adrian@suse.de
- new version 2.2.4
- new version 2.2.4
* Sat Mar 17 2001 - adrian@suse.de
- update to 2.3.0
* Sat Mar 17 2001 - adrian@suse.de
- update to 2.3.0
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - schwab@suse.de
- Always apply 64bit patch.
- Fix xim patch.
* Sun Mar 11 2001 - mfabian@suse.de
- update Japanese patches for Qt-2.2.4
- add /etc/qt.fontguess
- enable OpenGL
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Fri Feb 09 2001 - adrian@suse.de
- add big endian fix for AA support
  only needed for ppc, s390 and sparc
- add big endian fix for AA support
  only needed for ppc, s390 and sparc
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  fix spec file for IA64
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  fix/patch for qprintdialog is no longer needed
  clean up patches
  add fix from Andreas Schwab for 64bit platforms
* Sat Jan 20 2001 - adrian@suse.de
- fix spec file
* Sat Jan 20 2001 - adrian@suse.de
- fix spec file
- fix spec file
* Sat Jan 13 2001 - adrian@suse.de
- fix file conflict between qt-devel and qt-japanese
* Sat Jan 13 2001 - adrian@suse.de
- remove file conflict between qt-devel and qt-experimental
- remove file conflict between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- rename to qt-japanese
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
- fix qprintdialog
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Thu Dec 28 2000 - adrian@suse.de
- added Designer templates and moved documentation
  Thanks a lot, Eva
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- create special qt package only for asian patches
- create special qt package only for asian patches
- create special qt package only for asian patches
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic
* Thu Nov 30 2000 - adrian@suse.de
- build fix
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
* Fri Nov 03 2000 - adrian@suse.de
- qt-designer package.
* Tue Oct 17 2000 - adrian@suse.de
- first package for the QT Designer. KDE extensions are enabled
%changelog -n qt-japanese
* Mon Sep 10 2001 - adrian@suse.de
- add latin9 fix (Euro is again visible)
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
* Sun Jun 17 2001 - adrian@suse.de
- update to QT 2.3.1
- merge patches
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
- fix missing parameter for pre-2.3.1 patch
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Mar 21 2001 - adrian@suse.de
- disable AA again
* Mon Mar 19 2001 - mfabian@suse.de
- update Japanese patches for Qt-2.3.0
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to 2.3.0
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Tue Mar 13 2001 - schwab@suse.de
- Always apply 64bit patch.
- Fix xim patch.
* Sun Mar 11 2001 - mfabian@suse.de
- update Japanese patches for Qt-2.2.4
- add /etc/qt.fontguess
- enable OpenGL
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  fix/patch for qprintdialog is no longer needed
  clean up patches
  add fix from Andreas Schwab for 64bit platforms
* Sat Jan 20 2001 - adrian@suse.de
- fix spec file
* Sat Jan 13 2001 - adrian@suse.de
- fix file conflict between qt-devel and qt-japanese
* Thu Jan 04 2001 - adrian@suse.de
- rename to qt-japanese
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Dec 20 2000 - adrian@suse.de
- create special qt package only for asian patches
%changelog -n qt-korean
* Mon Sep 10 2001 - adrian@suse.de
- add latin9 fix (Euro is again visible)
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
* Sun Jun 17 2001 - adrian@suse.de
- update to QT 2.3.1
- Merge patches
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Mar 21 2001 - adrian@suse.de
- disable AA again
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to 2.3.0
* Sun Mar 11 2001 - mfabian@suse.de
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Fri Feb 09 2001 - adrian@suse.de
- drop qpsprinter patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  fix/patch for qprintdialog is no longer needed
  clean up patches
  add fix from Andreas Schwab for 64bit platforms
* Sat Jan 20 2001 - adrian@suse.de
- fix spec file
* Sat Jan 13 2001 - adrian@suse.de
- fix file conflicts between qt-devel and qt-korean
* Thu Jan 04 2001 - adrian@suse.de
- initial package with patches from Mike Fabian
%changelog -n qt-static
* Mon Sep 10 2001 - adrian@suse.de
- add latin9 fix (Euro is again visible)
* Wed Aug 29 2001 - adrian@suse.de
- fix spec file :(
* Tue Aug 28 2001 - adrian@suse.de
- add a libqt-mini.a. PNG is the only supported picture format.
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
* Sun Jun 17 2001 - adrian@suse.de
- update to QT 2.3.1
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Mar 21 2001 - adrian@suse.de
- disable AA again
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to 2.3.0
* Tue Mar 13 2001 - schwab@suse.de
- Add xf86 to neededforbuild.
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  split from main qt.spec to improve compile time of the qt package
  add fix from Andreas Schwab for 64bit platforms
  do not compile with thread support anymore
* Fri Jan 19 2001 - adrian@suse.de
- swap link and directory of html documentation. This makes
  trouble during update from older distributions
* Sat Jan 13 2001 - adrian@suse.de
- remove not necessary susehelp/htdig conf file
  remove file conflicts between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- added qt-experimental,qt-japanese,qt-korean to Obsoletes:
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
* Mon Jan 01 2001 - adrian@suse.de
- spec file fix
* Sun Dec 31 2000 - adrian@suse.de
- added small tools to qt-devel (thanks Dirk)
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- move docu from qtlib2 to qt
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3 and remove all the unneeded fix patches.
  added SuSE help conf files to qt-devel
* Tue Dec 12 2000 - schwab@suse.de
- Build with -O0 on ia64.
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic/kdelibs and fixed uic fix ..
  to drunk to drink more
* Thu Nov 30 2000 - adrian@suse.de
- fixed dif
* Thu Nov 30 2000 - adrian@suse.de
- added fix for uic and qiconview
* Wed Nov 29 2000 - adrian@suse.de
- fixed build on ppc
* Tue Nov 21 2000 - ro@suse.de
- spec fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
  added qpngio fix from waldo
* Fri Nov 10 2000 - adrian@suse.de
- fixed static config for <6.4 distris (no libmng)
* Tue Oct 31 2000 - adrian@suse.de
- split the qt package in
  qt
  qt-devel
  qt-extensions
  qt-man
  qt-static
  Added an ugly patch to get an uic with KDE support. The designer
  is broken in this package after this patch, so it is not packaged.
  The designer can be found in the qt-designer package
* Tue Oct 17 2000 - adrian@suse.de
- switch to -O0 for ppc
* Sat Oct 14 2000 - adrian@suse.de
- drop OpenGL support. Problems with Nvidia's binary only driver
- added fix from waldo (fixing memory leak in qpngio)
* Mon Oct 09 2000 - adrian@suse.de
- update the tar archiv (which contains a corrected classes.html file)
* Fri Oct 06 2000 - adrian@suse.de
- update to 2.2.1
  added static libs for libqt and libqt-mt
  added support for libmng
* Mon Oct 02 2000 - adrian@suse.de
- added missing header files
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Fri Sep 08 2000 - schwab@suse.de
- Update ia64 configuration.
* Fri Sep 08 2000 - adrian@suse.de
- added missing libqt-mt.so
  clean up in filelist
  changed copyright/license to GPL
* Thu Sep 07 2000 - adrian@suse.de
- update to qt 2.2.0 final
* Tue Aug 22 2000 - adrian@suse.de
- removed uic/moc bindings to libGL and other
* Fri Aug 18 2000 - adrian@suse.de
- update to qt 2.2.0 beta 2
  spec file rewritten
* Tue Jul 04 2000 - adrian@suse.de
- moved links from /usr/lib/qt/lib to /usr/lib/
* Thu Jun 22 2000 - adrian@suse.de
- add libqt.so.2 links in /usr/lib/qt/lib
* Fri Jun 16 2000 - adrian@suse.de
- moved libqt.so back to qtlib2, after religios war.
* Fri Jun 16 2000 - adrian@suse.de
- enable gif support again
* Fri Jun 16 2000 - adrian@suse.de
- moved static libs to qtdevel2
* Tue Jun 06 2000 - schwab@suse.de
- Reduce opt level on ia64.
* Tue Jun 06 2000 - adrian@suse.de
- fixed dependencies
* Tue May 30 2000 - adrian@suse.de
- readded mesadev in neededforbuild
* Tue May 30 2000 - adrian@suse.de
- update to 2.1.1
* Wed May 24 2000 - adrian@suse.de
- added mesadev in neededforbuild
  removed gif support (license issue)
* Tue May 16 2000 - adrian@suse.de
- added -fno-exception (smaller binaries)
* Fri May 12 2000 - adrian@suse.de
- fixed link  /usr/doc/packages/html
  using %%{_defaultdocdir}
  using %%{_mandir}
* Fri Apr 14 2000 - adrian@suse.de
- update to 2.1.0 final
  new package for all man pages
* Thu Apr 06 2000 - adrian@suse.de
- update to 2.1.0 beta 4
* Thu Mar 30 2000 - adrian@suse.de
- update to qtlib 2.1.0 beta 3
  the destination directory is not longer /usr/lib/qt !!!
  QTDIR=/usr/lib/qt-2.1.0
  There is also a link /usr/lib/qt2 to /usr/lib/qt-2.1.0
* Thu Mar 02 2000 - ro@suse.de
- removed obsolete part of patch
* Thu Mar 02 2000 - ro@suse.de
- configure doesn't know --mandir ... :(
* Thu Mar 02 2000 - ro@suse.de
- work-around for prepare-spec buglet
* Wed Mar 01 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 29 2000 - kettner@suse.de
- Apply patch for qfont_x11.cpp from warwick@warwick-bippy
* Mon Feb 28 2000 - kettner@suse.de
- increased font cache from 4MB to 9MB in order to
  speed up UNICODE fonts for YaST2
* Thu Nov 11 1999 - uli@suse.de
- removed netscape from neededforbuild
* Tue Nov 09 1999 - kettner@suse.de
- Removed mesa from Requires, as it is not required
* Fri Oct 22 1999 - kettner@suse.de
- Patch extensions/imageio/src/Makefile.in in order to get
  shared library of libimgio again. Worked in 2.00.
* Mon Oct 11 1999 - kettner@suse.de
- New version 2.0.2
* Tue Sep 28 1999 - uli@suse.de
- switched from Motif to lesstif
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Tue Jul 13 1999 - kettner@suse.de
- New version 2.00
* Mon Jul 12 1999 - kettner@suse.de
- New version 2.00
%changelog -n qt
* Fri Sep 14 2001 - adrian@suse.de
- remove qt.conf (moved to susehelp package)
* Mon Sep 10 2001 - adrian@suse.de
- add latin9 fix (Euro is again visible)
- drop and obsolete qt-686
* Sun Jul 29 2001 - adrian@suse.de
- reduce object references in libqt from qt-i686 package
  (only on new distributions to prevent problems with binutils)
* Wed Jul 25 2001 - adrian@suse.de
- add i686 optimized libs for ia32 in qt-i686 sub-package.
- rename qt-doc to qt-devel-doc to have the same scheme than in
  kde* packages
* Fri Jul 06 2001 - adrian@suse.de
- fix #neededforbuild (add freetype2)
- add Provides tag, for clean update -> yast will install qt-doc,
  if qt-devel with docu was installed
* Tue Jun 19 2001 - adrian@suse.de
- split documentation from qt-devel to reduce the default
  installation size by 6MB
* Sun Jun 17 2001 - adrian@suse.de
- update to 2.3.1
- delete obsolete patches:
  * latin9-locale
  * qfont
  * qrichtext
  * 64bit fixes
  * fixes from pre-2.3.1
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Fri Apr 27 2001 - adrian@suse.de
- switch BuildIndex for SuSEhelp to false by default
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Apr 04 2001 - mfabian@suse.de
- add /etc/qt.fontguess (config file for Japanese and Korean
  fonts)
* Wed Mar 21 2001 - adrian@suse.de
- disable AA by default (still to many problems)
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to QT 2.3.0
  this makes qt-experimental obsolete
  (maybe still some problems with the nvidia driver, but the nv
  should work fine and the users are warned about nvidia since
  SuSE 7.1)
* Sun Mar 11 2001 - mfabian@suse.de
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  qt-static is an own package and no sub packages anymore
  fix/patch for qprintdialog is no longer needed
  add fix from Andreas Schwab for 64bit platforms
* Fri Jan 19 2001 - adrian@suse.de
- swap link and directory of html documentation. This makes
  trouble during update from older distributions
* Sat Jan 13 2001 - adrian@suse.de
- remove not necessary susehelp/htdig conf file
  remove file conflicts between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- added qt-experimental,qt-japanese,qt-korean to Obsoletes:
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
* Mon Jan 01 2001 - adrian@suse.de
- spec file fix
* Sun Dec 31 2000 - adrian@suse.de
- added small tools to qt-devel (thanks Dirk)
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- move docu from qtlib2 to qt
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3 and remove all the unneeded fix patches.
  added SuSE help conf files to qt-devel
* Tue Dec 12 2000 - schwab@suse.de
- Build with -O0 on ia64.
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic/kdelibs and fixed uic fix ..
  to drunk to drink more
* Thu Nov 30 2000 - adrian@suse.de
- fixed dif
* Thu Nov 30 2000 - adrian@suse.de
- added fix for uic and qiconview
* Wed Nov 29 2000 - adrian@suse.de
- fixed build on ppc
* Tue Nov 21 2000 - ro@suse.de
- spec fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
  added qpngio fix from waldo
* Fri Nov 10 2000 - adrian@suse.de
- fixed static config for <6.4 distris (no libmng)
* Tue Oct 31 2000 - adrian@suse.de
- split the qt package in
  qt
  qt-devel
  qt-extensions
  qt-man
  qt-static
  Added an ugly patch to get an uic with KDE support. The designer
  is broken in this package after this patch, so it is not packaged.
  The designer can be found in the qt-designer package
* Tue Oct 17 2000 - adrian@suse.de
- switch to -O0 for ppc
* Sat Oct 14 2000 - adrian@suse.de
- drop OpenGL support. Problems with Nvidia's binary only driver
- added fix from waldo (fixing memory leak in qpngio)
* Mon Oct 09 2000 - adrian@suse.de
- update the tar archiv (which contains a corrected classes.html file)
* Fri Oct 06 2000 - adrian@suse.de
- update to 2.2.1
  added static libs for libqt and libqt-mt
  added support for libmng
* Mon Oct 02 2000 - adrian@suse.de
- added missing header files
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Fri Sep 08 2000 - schwab@suse.de
- Update ia64 configuration.
* Fri Sep 08 2000 - adrian@suse.de
- added missing libqt-mt.so
  clean up in filelist
  changed copyright/license to GPL
* Thu Sep 07 2000 - adrian@suse.de
- update to qt 2.2.0 final
* Tue Aug 22 2000 - adrian@suse.de
- removed uic/moc bindings to libGL and other
* Fri Aug 18 2000 - adrian@suse.de
- update to qt 2.2.0 beta 2
  spec file rewritten
* Tue Jul 04 2000 - adrian@suse.de
- moved links from /usr/lib/qt/lib to /usr/lib/
* Thu Jun 22 2000 - adrian@suse.de
- add libqt.so.2 links in /usr/lib/qt/lib
* Fri Jun 16 2000 - adrian@suse.de
- moved libqt.so back to qtlib2, after religios war.
* Fri Jun 16 2000 - adrian@suse.de
- enable gif support again
* Fri Jun 16 2000 - adrian@suse.de
- moved static libs to qtdevel2
* Tue Jun 06 2000 - schwab@suse.de
- Reduce opt level on ia64.
* Tue Jun 06 2000 - adrian@suse.de
- fixed dependencies
* Tue May 30 2000 - adrian@suse.de
- readded mesadev in neededforbuild
* Tue May 30 2000 - adrian@suse.de
- update to 2.1.1
* Wed May 24 2000 - adrian@suse.de
- added mesadev in neededforbuild
  removed gif support (license issue)
* Tue May 16 2000 - adrian@suse.de
- added -fno-exception (smaller binaries)
* Fri May 12 2000 - adrian@suse.de
- fixed link  /usr/doc/packages/html
  using %%{_defaultdocdir}
  using %%{_mandir}
* Fri Apr 14 2000 - adrian@suse.de
- update to 2.1.0 final
  new package for all man pages
* Thu Apr 06 2000 - adrian@suse.de
- update to 2.1.0 beta 4
* Thu Mar 30 2000 - adrian@suse.de
- update to qtlib 2.1.0 beta 3
  the destination directory is not longer /usr/lib/qt !!!
  QTDIR=/usr/lib/qt-2.1.0
  There is also a link /usr/lib/qt2 to /usr/lib/qt-2.1.0
* Thu Mar 02 2000 - ro@suse.de
- removed obsolete part of patch
* Thu Mar 02 2000 - ro@suse.de
- configure doesn't know --mandir ... :(
* Thu Mar 02 2000 - ro@suse.de
- work-around for prepare-spec buglet
* Wed Mar 01 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 29 2000 - kettner@suse.de
- Apply patch for qfont_x11.cpp from warwick@warwick-bippy
* Mon Feb 28 2000 - kettner@suse.de
- increased font cache from 4MB to 9MB in order to
  speed up UNICODE fonts for YaST2
* Thu Nov 11 1999 - uli@suse.de
- removed netscape from neededforbuild
* Tue Nov 09 1999 - kettner@suse.de
- Removed mesa from Requires, as it is not required
* Fri Oct 22 1999 - kettner@suse.de
- Patch extensions/imageio/src/Makefile.in in order to get
  shared library of libimgio again. Worked in 2.00.
* Mon Oct 11 1999 - kettner@suse.de
- New version 2.0.2
* Tue Sep 28 1999 - uli@suse.de
- switched from Motif to lesstif
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Tue Jul 13 1999 - kettner@suse.de
- New version 2.00
* Mon Jul 12 1999 - kettner@suse.de
- New version 2.00
